commit 0a4825deda7b1fdd42f3cc98c63973997414318c
Author: freddy77 <freddy77>
Date:   Mon Jun 28 19:51:11 2010 +0000

    fix small and quite impossible leak

diff --git a/ChangeLog b/ChangeLog
index f03c98d..ce2baf0 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Mon Jun 28 21:51:02 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: fix small and quite impossible leak
+
 Sun Jun 27 18:51:00 CDT 2010	Craig A. Berry <craigberry@mac.com>
 	* src/apps/bsqldb.c src/apps/bsqlodbc.c src/apps/defncopy.c
 	* src/apps/fisql/fisql.c src/apps/freebcp.c src/apps/tsql.c
@@ -2527,4 +2530,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3042 2010/06/27 23:58:12 berryc Exp $
+$Id: ChangeLog,v 1.3043 2010/06/28 19:51:11 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index 4a22069..bea891a 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.534 2010/06/19 09:51:36 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.535 2010/06/28 19:51:11 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv, SQLINTEGER odbc_version);
@@ -3976,6 +3976,9 @@ _SQLFreeConnect(SQLHDBC hdbc)
 	tds_free_socket(dbc->tds_socket);
 
 	/* free attributes */
+#ifdef TDS_NO_DM
+	tds_dstr_free(&dbc->attr.tracefile);
+#endif
 	tds_dstr_free(&dbc->attr.current_catalog);
 	tds_dstr_free(&dbc->attr.translate_lib);
 

